Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.lang
[Java] Class MetaClassRegistry.MetaClassCreationHandle

    java.lang.Object
      groovy.lang.MetaClassRegistry.MetaClassCreationHandle

    public class MetaClassRegistry.MetaClassCreationHandle

Class used as base for the creation of MetaClass implementations. The Class defaults to MetaClassImpl, if the class loading fails to find a special meta class. The name for such a meta class would be the class name it is created for with the prefix "groovy.runtime.metaclass." By replacing the handle in the registry you can have any control over the creation of what MetaClass is used for a class that you want to have. WARNING: experimental code, likely to change soon

Authors:
  Jochen Theodorou

Method Summary
`MetaClass` | `create(java.lang.Class theClass, MetaClassRegistry registry)`
`protected MetaClass` | `createNormalMetaClass(java.lang.Class theClass, MetaClassRegistry registry)`
`boolean` | `isDisableCustomMetaClassLookup()`
`void` | `setDisableCustomMetaClassLookup(boolean disableCustomMetaClassLookup)` Set flag saying to disable lookup of custom meta classes It's enough to call this method only once in your application for handle which was set in to registry as every new handle will inherit this property

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### create

    public final MetaClass create(java.lang.Class theClass, MetaClassRegistry registry)

### createNormalMetaClass

    protected MetaClass createNormalMetaClass(java.lang.Class theClass, MetaClassRegistry registry)

### isDisableCustomMetaClassLookup

    public boolean isDisableCustomMetaClassLookup()

### setDisableCustomMetaClassLookup

    public void setDisableCustomMetaClassLookup(boolean disableCustomMetaClassLookup)

  Set flag saying to disable lookup of custom meta classes It's enough to call this method only once in your application for handle which was set in to registry as every new handle will inherit this property
  Parameters:
    `disableCustomMetaClassLookup` - flag saying to disable lookup of custom meta classes

Groovy Documentation